Mailinglist Archive: opensuse-bugs (8048 mails)

< Previous Next >
[Bug 242319] synaptics input driver not working anymore with -fstack-protector
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 6 Feb 2007 06:52:51 -0700 (MST)
  • Message-id: <20070206135251.08F89D18@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=242319





------- Comment #16 from sndirsch@xxxxxxxxxx 2007-02-06 06:52 MST -------
(In reply to comment #4)
> Thanks. I wonder who many Xserver modules are affected by this. Most of the
> video and input drivers aren't tested at all. Probably it's the best to use
> "-fstack-protector" for all video and input drivers. Maybe also for the
> Xserver and the other Xserver modules as well.
Fortunately other Xserver modules than synaptics/gunze/mga_hal are not
affected, i.e. are *not* linked with "-nostdlib -lgcc". So there's no need
to use "-fstack-protector" by default for building.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >
References